Bug 1459225 - Check for blank password in database configuration to avoid postgres errors
Check for blank password in database configuration to avoid postgres errors
Status: CLOSED ERRATA
Product: Red Hat CloudForms Management Engine
Classification: Red Hat
Component: Appliance (Show other bugs)
5.8.0
Unspecified Unspecified
high Severity medium
: GA
: 5.8.1
Assigned To: Yuri Rudman
Matouš Mojžíš
: ZStream
Depends On: 1443689
Blocks:
  Show dependency treegraph
 
Reported: 2017-06-06 10:47 EDT by Satoe Imaishi
Modified: 2017-08-02 13:26 EDT (History)
7 users (show)

See Also:
Fixed In Version: 5.8.1.0
Doc Type: If docs needed, set a value
Doc Text:
Story Points: ---
Clone Of: 1443689
Environment:
Last Closed: 2017-08-02 13:26:33 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Comment 2 CFME Bot 2017-06-06 10:53:18 EDT
New commit detected on ManageIQ/manageiq-gems-pending/fine:
https://github.com/ManageIQ/manageiq-gems-pending/commit/17738d75e6aeae58e9bc9ea2584021bc3b7fd69f

commit 17738d75e6aeae58e9bc9ea2584021bc3b7fd69f
Author:     Nick Carboni <ncarboni@redhat.com>
AuthorDate: Tue Apr 25 09:14:40 2017 -0400
Commit:     Satoe Imaishi <simaishi@redhat.com>
CommitDate: Tue Jun 6 10:48:53 2017 -0400

    Merge pull request #125 from yrudman/do-not-allow-empty-password-for-db
    
    Do not allow to enter empty passwords when configuring DB
    (cherry picked from commit 728afb6a4e41cd7ad0c695cb467aed5311cb2a8d)
    
    https://bugzilla.redhat.com/show_bug.cgi?id=1459225

 .../pending/appliance_console/database_configuration.rb   | 15 ++++++++++-----
 .../pending/appliance_console/database_replication.rb     |  4 ++--
 spec/appliance_console/database_configuration_spec.rb     |  9 ++++++++-
 spec/appliance_console/database_replication_spec.rb       |  3 +--
 4 files changed, 21 insertions(+), 10 deletions(-)
Comment 3 Matouš Mojžíš 2017-06-30 09:51:53 EDT
Verified in 5.8.1.0. Password needs to be specified and is checked before doing any actions.
Comment 5 errata-xmlrpc 2017-08-02 13:26:33 EDT
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHSA-2017:1758

Note You need to log in before you can comment on or make changes to this bug.